View Issue Details

IDProjectCategoryView StatusLast Update
0003801SOGoActiveSyncpublic2016-09-23 11:38
Reportersjgray100 Assigned Toludovic  
PriorityhighSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04
Fixed in Version3.2.0 
Summary0003801: Activesync parse of xml document error with ampersand (&) in contact name
Description

Running version:

ii sogo:amd64 3.1.5.20160823-1 amd64 a modern and scalable groupware
ii sogo-activesync 3.1.5.20160823-1 amd64 a modern and scalable groupware - ActiveSync module

Aug 23 15:38:07 sogod [13815]: <0x0x555f50f6e480[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
Aug 23 15:38:07 sogod [13815]: [ERROR] <0x0x555f51bfbc40[NSDataMalloc]> xml2wbxmlFromContent: failed: Parsing of XML Document Failed

debug'd the EAS and with xmllint --format found:

542d_1d6c9f9a_0.data:1: parser error : EntityRef: expecting ';'
Name><JobTitle xmlns="Contacts:"></JobTitle><Email1Address xmlns="Contacts:">m&k

The particular user (my wife..!) has a contact with an ampersand in the middle. The email address and contact is in the format of m&k@subdomain.domain.tld

I've temporarily removed the ampersand (&) from the contact and it appears to be working ok for now. Suggest we see whether we can escape the ampersand within the xml?

We should be escaping with the following:

Ampersand—&—&
greater-than—>—>
less-than—<—<
apostrophe—'—'
quote—"—"

TagsNo tags attached.

Activities

sjgray100

sjgray100

2016-08-23 11:39

reporter   ~0010611

https://www.w3.org/TR/REC-xml/

2.4 Character Data and Markup

ludovic

ludovic

2016-08-29 15:04

administrator   ~0010626

Fixed: https://github.com/inverse-inc/sogo/commit/28ee04b68b7b8e0006235d85f2bd4c5129f830ad

Issue History

Date Modified Username Field Change
2016-08-23 11:31 sjgray100 New Issue
2016-08-23 11:39 sjgray100 Note Added: 0010611
2016-08-29 15:04 ludovic Note Added: 0010626
2016-09-23 11:38 ludovic Status new => resolved
2016-09-23 11:38 ludovic Fixed in Version => 3.2.0
2016-09-23 11:38 ludovic Resolution open => fixed
2016-09-23 11:38 ludovic Assigned To => ludovic